var high_score = 0;

var current_score = 0;

 

STRING* name_str = "#50"; // allow the name to have up to 50 characters

STRING* input_str = "#50";

 

TEXT* name_txt = 

{

       pos_x = 10;

       pos_y = 10;

       string(name_str);

       flags = VISIBLE;

}

 

TEXT* input_txt = 

{

       pos_x = 10;

       pos_y = 550;

       string(input_str);

       flags = VISIBLE;

}

 

PANEL* score_txt = 

{

       pos_x = 10;

       pos_y = 10;

       digits(300, 10, 4, *, 1, high_score); 

       digits(300, 300, 4, *, 1, current_score); 

       flags = VISIBLE;

}

 

function random_number()

{

       var filehandle;

       current_score = integer(random(100));

       if (current_score > high_score) // a new high score was achieved?

       {

               high_score = current_score;

               str_cpy(input_str, "New high score! Please type a name!");

               wait (-3); // display the message for 3 seconds

               str_cpy(input_str, "#50"); // reset the string

               inkey(input_str); // now let's input player's name

               str_cpy(name_str, input_str); // let's update the high score name on the screen as well

               filehandle = file_open_write("highscore.txt"); // overwrite the existing highscore.txt file (if any)

               file_str_write(filehandle, input_str);

               file_asc_write (filehandle, 13); // write the following value on a separate line

               file_asc_write (filehandle, 10); // using asc(13) = carriage return + asc(10) = line feed

               file_var_write(filehandle, high_score);

               file_close(filehandle);

       }

}

 

function score_startup()

{

       var filehandle;

       filehandle = file_open_read("highscore.txt");

       if (filehandle) // the file exists?

       {

               file_str_read(filehandle, name_str);

               high_score = file_var_read(filehandle);

       }

       else // the highscore.txt file doesn't exist

       {

               str_cpy(name_str, "None");

               high_score = 0;

       }

       on_r = random_number; // generates a random number every time when the player presses the "R" key

}
